Get log lines for a specific task run attempt
GET
https://api.vercel.com/v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions/{jobDefinitionId}/runs/{runAttempt}/task-definitions/{taskDefinitionId}/runs/{taskRunAttempt}/logsGet Task Run Logs With
follow=1 the response is a newline-delimited JSON stream of log lines that ends once the task run has finished and its logs are flushed, or when the stream reaches its maximum duration.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.vercelCi.getVercelCiTaskRunLogs({ invocationId: "<id>", attempt: "<value>", jobDefinitionId: "<id>", runAttempt: "<value>", taskDefinitionId: "<id>", taskRunAttempt: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "lines": [ { "level": "string", "timestamp": "123", "message": "string" } ]}Errors
{ "error": { "code": "string", "message": "string" }}AuthorizationbearerToken
Default authentication mechanism